#include <stdlib.h>

#include "xig.h"

int
main (int argc, char **argv)
{
    XigClient *client;
    gboolean result;
    GError *error = NULL;

    g_type_init ();

    client = xig_client_new_from_environment (&error);
    if (error)
        g_printerr ("Failed to create client: %s\n", error->message);
    else if (!client)
        g_printerr ("Failed to create client");
    if (!client)
        return EXIT_FAILURE;
  
    result = xig_client_connect_sync (client, &error);
    if (error)
        g_printerr ("Failed to connect to X server: %s\n", error->message);
    else if (!result)
        g_printerr ("Failed to connect to X server\n");
    g_clear_error (&error);
    if (!result)
        return EXIT_FAILURE;

    g_print ("Connected to server %s\n", xig_client_get_vendor (client));

    return EXIT_SUCCESS;
}
