/*
 * Copyright (C) 2011 Canonical Ltd.
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License version 3 as published by
 * the Free Software Foundation. See http://www.gnu.org/copyleft/lgpl.html the
 * full text of the license.
 */

#include "xig-drawable-private.h"

struct XigDrawablePrivate
{
    gint32 id;
};

G_DEFINE_TYPE (XigDrawable, xig_drawable, G_TYPE_OBJECT);

guint32
xig_drawable_get_id (XigDrawable *drawable)
{
    return drawable->priv->id;
}

void
_xig_drawable_set_id (XigDrawable *drawable, guint32 id)
{
    drawable->priv->id = id;
}

static void
xig_drawable_init (XigDrawable *drawable)
{
    drawable->priv = G_TYPE_INSTANCE_GET_PRIVATE (drawable, xig_drawable_get_type (), XigDrawablePrivate);
}

static void
xig_drawable_class_init (XigDrawableClass *klass)
{
    g_type_class_add_private (klass, sizeof (XigDrawablePrivate));
}
