/*
 * Copyright (C) 2011 Canonical Ltd.
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License version 3 as published by
 * the Free Software Foundation. See http://www.gnu.org/copyleft/lgpl.html the
 * full text of the license.
 */

#include "xig/xig-pixmap-format.h"
#include "xig-pixmap-format-private.h"

G_DEFINE_TYPE (XigPixmapFormat, xig_pixmap_format, G_TYPE_OBJECT);

struct XigPixmapFormatPrivate
{
    guint8 depth;
    guint8 bits_per_pixel;
    guint8 scanline_pad;
};

XigPixmapFormat *
_xig_pixmap_format_new (guint8 depth, guint8 bits_per_pixel, guint8 scanline_pad)
{
    XigPixmapFormat *format = g_object_new (xig_pixmap_format_get_type (), NULL);
    format->priv->depth = depth;
    format->priv->bits_per_pixel = bits_per_pixel;
    format->priv->scanline_pad = scanline_pad;
    return format;
}

guint8
xig_pixmap_format_get_depth (XigPixmapFormat *pixmap_format)
{
    return pixmap_format->priv->depth;
}

guint8
xig_pixmap_format_get_bits_per_pixel (XigPixmapFormat *pixmap_format)
{
    return pixmap_format->priv->bits_per_pixel;
}

guint8
xig_pixmap_format_get_scanline_pad (XigPixmapFormat *pixmap_format)
{
    return pixmap_format->priv->scanline_pad;
}

static void
xig_pixmap_format_init (XigPixmapFormat *pixmap_format)
{
    pixmap_format->priv = G_TYPE_INSTANCE_GET_PRIVATE (pixmap_format, xig_pixmap_format_get_type (), XigPixmapFormatPrivate);
}

static void
xig_pixmap_format_class_init (XigPixmapFormatClass *klass)
{
    g_type_class_add_private (klass, sizeof (XigPixmapFormatPrivate));
}
