/*
 * Copyright (C) 2011 Canonical Ltd.
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License version 3 as published by
 * the Free Software Foundation. See http://www.gnu.org/copyleft/lgpl.html the
 * full text of the license.
 */

#include "xig-pixmap-private.h"
#include "xig-drawable-private.h"

G_DEFINE_TYPE (XigPixmap, xig_pixmap, xig_drawable_get_type ());

struct XigPixmapPrivate
{
    XigDrawable *drawable;
    guint16 width;
    guint16 height;
};

XigPixmap *
_xig_pixmap_new (guint32 id, XigDrawable *drawable, guint16 width, guint16 height)
{
    XigPixmap *pixmap = g_object_new (xig_pixmap_get_type (), NULL);

    _xig_drawable_set_id (XIG_DRAWABLE (pixmap), id);

    pixmap->priv->drawable = drawable;
    pixmap->priv->width = width;
    pixmap->priv->height = height;

    return pixmap;
}

guint32
xig_pixmap_get_id (XigPixmap *pixmap)
{
    return xig_drawable_get_id (XIG_DRAWABLE (pixmap));
}

guint16
xig_pixmap_get_width (XigPixmap *pixmap)
{
    return pixmap->priv->width;
}

guint16
xig_pixmap_get_height (XigPixmap *pixmap)
{
    return pixmap->priv->height;
}

static void
xig_pixmap_init (XigPixmap *pixmap)
{
    pixmap->priv = G_TYPE_INSTANCE_GET_PRIVATE (pixmap, xig_pixmap_get_type (), XigPixmapPrivate);
}

static void
xig_pixmap_class_init (XigPixmapClass *klass)
{
    g_type_class_add_private (klass, sizeof (XigPixmapPrivate));
}
