/*
 * Copyright (C) 2011 Canonical Ltd.
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License version 3 as published by
 * the Free Software Foundation. See http://www.gnu.org/copyleft/lgpl.html the
 * full text of the license.
 */

#include "xig-visual-private.h"

G_DEFINE_TYPE (XigVisual, xig_visual, G_TYPE_OBJECT);

struct XigVisualPrivate
{
    guint32 id;
    guint8 depth;
    guint8 class;
    guint8 bits_per_rgb_value;
    guint16 colormap_entries;
    guint32 red_mask;
    guint32 green_mask;
    guint32 blue_mask;
};

XigVisual *
_xig_visual_new (guint32 id, guint8 depth, guint8 class, guint8 bits_per_rgb_value, guint16 colormap_entries, guint32 red_mask, guint32 green_mask, guint32 blue_mask)
{
    XigVisual *visual = g_object_new (xig_visual_get_type (), NULL);
    visual->priv->id = id;
    visual->priv->depth = depth;
    visual->priv->class = class;
    visual->priv->bits_per_rgb_value = bits_per_rgb_value;
    visual->priv->colormap_entries = colormap_entries;
    visual->priv->red_mask = red_mask;
    visual->priv->green_mask = green_mask;
    visual->priv->blue_mask = blue_mask;
    return visual;
}

guint32
xig_visual_get_id (XigVisual *visual)
{
    return visual->priv->id;
}

guint8
xig_visual_get_depth (XigVisual *visual)
{
    return visual->priv->depth;
}

guint8
xig_visual_get_class (XigVisual *visual)
{
    return visual->priv->class;
}

guint8
xig_visual_get_bits_per_rgb_value (XigVisual *visual)
{
    return visual->priv->bits_per_rgb_value;
}

guint16
xig_visual_get_colormap_entries (XigVisual *visual)
{
    return visual->priv->colormap_entries;
}

guint32
xig_visual_get_red_mask (XigVisual *visual)
{
    return visual->priv->red_mask;
}

guint32
xig_visual_get_green_mask (XigVisual *visual)
{
    return visual->priv->green_mask;
}

guint32
xig_visual_get_blue_mask (XigVisual *visual)
{
    return visual->priv->blue_mask;
}

static void
xig_visual_init (XigVisual *visual)
{
    visual->priv = G_TYPE_INSTANCE_GET_PRIVATE (visual, xig_visual_get_type (), XigVisualPrivate);
}

static void
xig_visual_class_init (XigVisualClass *klass)
{
    g_type_class_add_private (klass, sizeof (XigVisualPrivate));
}
