/*
 * Copyright (C) 2011 Canonical Ltd.
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License version 3 as published by
 * the Free Software Foundation. See http://www.gnu.org/copyleft/lgpl.html the
 * full text of the license.
 */

#ifndef _XIG_CLIENT_CODEC_H_
#define _XIG_CLIENT_CODEC_H_

#include <glib-object.h>

typedef struct XigClientCodec XigClientCodec;

#include "xig-codec.h"

#define XIG_CLIENT_CODEC_TYPE           (xig_client_codec_get_type ())
#define XIG_IS_CLIENT_CODEC(obj)        (G_TYPE_CHECK_INSTANCE_TYPE ((obj), XIG_CLIENT_CODEC_TYPE))
#define XIG_CLIENT_CODEC(obj)           (G_TYPE_CHECK_INSTANCE_CAST ((obj), XIG_CLIENT_CODEC_TYPE, XigClientCodec))
#define XIG_CLIENT_CODEC_CLASS(klass)   (G_TYPE_CHECK_CLASS_CAST ((klass), XIG_CLIENT_CODEC_TYPE, XigClientCodecClass))
#define XIG_CLIENT_CODEC_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), XIG_CLIENT_CODEC_TYPE, XigClientCodecClass))

typedef struct XigClientCodecPrivate XigClientCodecPrivate;

struct XigClientCodec
{
    XigCodec               parent_instance;
    XigClientCodecPrivate *priv;
};

typedef struct
{
    XigCodecClass parent_class;
} XigClientCodecClass;

GType xig_client_codec_get_type (void);

XigClientCodec *xig_client_codec_new (void);

void xig_client_codec_set_BIGREQ_enabled (XigClientCodec *codec, gboolean bigreq_enabled);

G_END_DECLS

#endif /* _XIG_CLIENT_CODEC_H_ */
