/*
 * Copyright (C) 2011 Canonical Ltd.
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License version 3 as published by
 * the Free Software Foundation. See http://www.gnu.org/copyleft/lgpl.html the
 * full text of the license.
 */

#ifndef _XIG_CODEC_LOGGER_H_
#define _XIG_CODEC_LOGGER_H_

#include <glib-object.h>

typedef struct XigCodecLogger XigCodecLogger;

#include "xig-codec.h"

#define XIG_CODEC_LOGGER_TYPE           (xig_codec_logger_get_type ())
#define XIG_IS_CODEC_LOGGER(obj)        (G_TYPE_CHECK_INSTANCE_TYPE ((obj), XIG_CODEC_LOGGER_TYPE))
#define XIG_CODEC_LOGGER(obj)           (G_TYPE_CHECK_INSTANCE_CAST ((obj), XIG_CODEC_LOGGER_TYPE, XigCodecLogger))
#define XIG_CODEC_LOGGER_CLASS(klass)   (G_TYPE_CHECK_CLASS_CAST ((klass), XIG_CODEC_LOGGER_TYPE, XigCodecLoggerClass))
#define XIG_CODEC_LOGGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), XIG_CODEC_LOGGER_TYPE, XigCodecLoggerClass))

typedef struct XigCodecLoggerPrivate XigCodecLoggerPrivate;

struct XigCodecLogger
{
   GObject                parent_instance;
   XigCodecLoggerPrivate *priv;
};

typedef struct
{
   GObjectClass parent_class;
   void (*log_request) (XigCodecLogger *logger, const gchar *text);
   void (*log_reply) (XigCodecLogger *logger, const gchar *text);
} XigCodecLoggerClass;

GType xig_codec_logger_get_type (void);

XigCodecLogger *xig_codec_logger_new (XigCodec *client);

G_END_DECLS

#endif /* _XIG_CODEC_LOGGER_H_ */
