/*
 * Copyright (C) 2011 Canonical Ltd.
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License version 3 as published by
 * the Free Software Foundation. See http://www.gnu.org/copyleft/lgpl.html the
 * full text of the license.
 */

#ifndef _XIG_DRAWABLE_H_
#define _XIG_DRAWABLE_H_

#include <glib-object.h>

G_BEGIN_DECLS

#define XIG_DRAWABLE_TYPE           (xig_drawable_get_type())
#define XIG_DRAWABLE(obj)           (G_TYPE_CHECK_INSTANCE_CAST ((obj), XIG_DRAWABLE_TYPE, XigDrawable))
#define XIG_DRAWABLE_CLASS(klass)   (G_TYPE_CHECK_CLASS_CAST ((klass), XIG_DRAWABLE_TYPE, XigDrawableClass))
#define XIG_DRAWABLE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), XIG_DRAWABLE_TYPE, XigDrawableClass))

typedef struct XigDrawablePrivate XigDrawablePrivate;

typedef struct
{
   GObject             parent_instance;
   XigDrawablePrivate *priv;
} XigDrawable;

typedef struct
{
   GObjectClass parent_class;
} XigDrawableClass;

GType xig_drawable_get_type (void);

guint32 xig_drawable_get_id (XigDrawable *drawable);

G_END_DECLS

#endif /* _XIG_DRAWABLE_H_ */
