/*
 * Copyright (C) 2011 Canonical Ltd.
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License version 3 as published by
 * the Free Software Foundation. See http://www.gnu.org/copyleft/lgpl.html the
 * full text of the license.
 */

#ifndef _XIG_PIXMAP_FORMAT_H_
#define _XIG_PIXMAP_FORMAT_H_

#include <glib-object.h>

G_BEGIN_DECLS

typedef struct XigPixmapFormatPrivate XigPixmapFormatPrivate;

typedef struct
{
   GObject                 parent_instance;
   XigPixmapFormatPrivate *priv;
} XigPixmapFormat;

typedef struct
{
   GObjectClass parent_class;
} XigPixmapFormatClass;

GType xig_pixmap_format_get_type (void);

guint8 xig_pixmap_format_get_depth (XigPixmapFormat *pixmap_format);

guint8 xig_pixmap_format_get_bits_per_pixel (XigPixmapFormat *pixmap_format);

guint8 xig_pixmap_format_get_scanline_pad (XigPixmapFormat *pixmap_format);

G_END_DECLS

#endif /* _XIG_PIXMAP_FORMAT_H_ */
