/*
 * Copyright (C) 2011 Canonical Ltd.
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License version 3 as published by
 * the Free Software Foundation. See http://www.gnu.org/copyleft/lgpl.html the
 * full text of the license.
 */

#ifndef _XIG_PIXMAP_H_
#define _XIG_PIXMAP_H_

#include <glib-object.h>

#include "xig-drawable.h"

G_BEGIN_DECLS

#define XIG_PIXMAP_TYPE           (xig_pixmap_get_type())
#define XIG_IS_PIXMAP(obj)        (G_TYPE_CHECK_INSTANCE_TYPE ((obj), XIG_PIXMAP_TYPE))
#define XIG_PIXMAP(obj)           (G_TYPE_CHECK_INSTANCE_CAST ((obj), XIG_PIXMAP_TYPE, XigPixmap))
#define XIG_PIXMAP_CLASS(klass)   (G_TYPE_CHECK_CLASS_CAST ((klass), XIG_PIXMAP_TYPE, XigPixmapClass))
#define XIG_PIXMAP_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), XIG_PIXMAP_TYPE, XigPixmapClass))

typedef struct XigPixmapPrivate XigPixmapPrivate;

typedef struct
{
   XigDrawable       parent_instance;
   XigPixmapPrivate *priv;
} XigPixmap;

typedef struct
{
   XigDrawableClass parent_class;
} XigPixmapClass;

GType xig_pixmap_get_type (void);

guint32 xig_pixmap_get_id (XigPixmap *pixmap);

XigDrawable *xig_pixmap_get_drawable (XigPixmap *pixmap);

guint16 xig_pixmap_get_width (XigPixmap *pixmap);

guint16 xig_pixmap_get_height (XigPixmap *pixmap);

G_END_DECLS

#endif /* _XIG_PIXMAP_H_ */
