/*
 * Copyright (C) 2011 Canonical Ltd.
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License version 3 as published by
 * the Free Software Foundation. See http://www.gnu.org/copyleft/lgpl.html the
 * full text of the license.
 */

#ifndef _XIG_REMOTE_CLIENT_H_
#define _XIG_REMOTE_CLIENT_H_

#include <glib-object.h>
#include <gio/gio.h>

typedef struct XigRemoteClient XigRemoteClient;

#include "xig-server-codec.h"
#include "xig-window.h"
#include "xig-server.h"

#define XIG_REMOTE_CLIENT_TYPE           (xig_remote_client_get_type())
#define XIG_IS_REMOTE_CLIENT(obj)        (G_TYPE_CHECK_INSTANCE_TYPE ((obj), XIG_REMOTE_CLIENT_TYPE))
#define XIG_REMOTE_CLIENT(obj)           (G_TYPE_CHECK_INSTANCE_CAST ((obj), XIG_REMOTE_CLIENT_TYPE, XigRemoteClient))
#define XIG_REMOTE_CLIENT_CLASS(klass)   (G_TYPE_CHECK_CLASS_CAST ((klass), XIG_REMOTE_CLIENT_TYPE, XigRemoteClientClass))
#define XIG_REMOTE_CLIENT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), XIG_REMOTE_CLIENT_TYPE, XigRemoteClientClass))

typedef struct XigRemoteClientPrivate XigRemoteClientPrivate;

struct XigRemoteClient
{
   XigServerCodec          parent_object;
   XigRemoteClientPrivate *priv;
};

typedef struct
{
   XigServerCodecClass parent_class;
   void (*disconnected)(XigRemoteClient *client);
} XigRemoteClientClass;

GType xig_remote_client_get_type (void);

XigServer *xig_remote_client_get_server (XigRemoteClient *client);

GInetAddress *xig_remote_client_get_address (XigRemoteClient *client);

guint32 xig_remote_client_get_window_events (XigRemoteClient *client, XigWindow *window);

void xig_remote_client_disconnect (XigRemoteClient *client);

G_END_DECLS

#endif /* _XIG_REMOTE_CLIENT_H_ */
