/*
 * Copyright (C) 2011 Canonical Ltd.
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License version 3 as published by
 * the Free Software Foundation. See http://www.gnu.org/copyleft/lgpl.html the
 * full text of the license.
 */

#ifndef _XIG_SCREEN_H_
#define _XIG_SCREEN_H_

#include <glib-object.h>

typedef struct XigScreen XigScreen;

#include "xig-visual.h"
#include "xig-window.h"

G_BEGIN_DECLS

typedef struct XigScreenPrivate XigScreenPrivate;

struct XigScreen
{
   GObject         parent_instance;
   XigScreenPrivate *priv;
};

typedef struct
{
   GObjectClass parent_class;
} XigScreenClass;

GType xig_screen_get_type (void);

XigServer *xig_screen_get_server (XigScreen *screen);

guint32 xig_screen_get_white_pixel (XigScreen *screen);

guint32 xig_screen_get_black_pixel (XigScreen *screen);

guint16 xig_screen_get_width_in_pixels (XigScreen *screen);

guint16 xig_screen_get_height_in_pixels (XigScreen *screen);

guint16 xig_screen_get_width_in_millimeters (XigScreen *screen);

guint16 xig_screen_get_height_in_millimeters (XigScreen *screen);

XigVisual *xig_screen_add_visual (XigScreen *screen, guint8 depth, XigVisualClassType class, guint8 bits_per_rgb_value, guint16 colormap_entries, guint32 red_mask, guint32 green_mask, guint32 blue_mask);

GList *xig_screen_get_visuals (XigScreen *screen);

XigWindow *xig_screen_add_root (XigScreen *screen, XigVisual *visual);

XigWindow *xig_screen_get_root (XigScreen *screen);

G_END_DECLS

#endif /* _XIG_SCREEN_H_ */
