/*
 * Copyright (C) 2011 Canonical Ltd.
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License version 3 as published by
 * the Free Software Foundation. See http://www.gnu.org/copyleft/lgpl.html the
 * full text of the license.
 */

#ifndef _XIG_SERVER_CODEC_H_
#define _XIG_SERVER_CODEC_H_

#include <glib-object.h>

typedef struct XigServerCodec XigServerCodec;

#include "xig-codec.h"

#define XIG_SERVER_CODEC_TYPE           (xig_server_codec_get_type ())
#define XIG_IS_SERVER_CODEC(obj)        (G_TYPE_CHECK_INSTANCE_TYPE ((obj), XIG_SERVER_CODEC_TYPE))
#define XIG_SERVER_CODEC(obj)           (G_TYPE_CHECK_INSTANCE_CAST ((obj), XIG_SERVER_CODEC_TYPE, XigServerCodec))
#define XIG_SERVER_CODEC_CLASS(klass)   (G_TYPE_CHECK_CLASS_CAST ((klass), XIG_SERVER_CODEC_TYPE, XigServerCodecClass))
#define XIG_SERVER_CODEC_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), XIG_SERVER_CODEC_TYPE, XigServerCodecClass))

typedef struct XigServerCodecPrivate XigServerCodecPrivate;

struct XigServerCodec
{
    XigCodec               parent_instance;
    XigServerCodecPrivate *priv;
};

typedef struct
{
    XigCodecClass parent_class;
} XigServerCodecClass;

GType xig_server_codec_get_type (void);

XigServerCodec *xig_server_codec_new (void);

void xig_server_codec_set_BIGREQ_enabled (XigServerCodec *codec, gboolean BIGREQ_enabled);

G_END_DECLS

#endif /* _XIG_SERVER_CODEC_H_ */
