/*
 * Copyright (C) 2011 Canonical Ltd.
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License version 3 as published by
 * the Free Software Foundation. See http://www.gnu.org/copyleft/lgpl.html the
 * full text of the license.
 */

#ifndef _XIG_VISUAL_H_
#define _XIG_VISUAL_H_

#include <glib-object.h>

G_BEGIN_DECLS

typedef enum
{
    XIG_VISUAL_CLASS_StaticGray  = 0,
    XIG_VISUAL_CLASS_GrayScale   = 1,
    XIG_VISUAL_CLASS_StaticColor = 2,
    XIG_VISUAL_CLASS_PseudoColor = 3,
    XIG_VISUAL_CLASS_TrueColor   = 4,
    XIG_VISUAL_CLASS_DirectColor = 5
} XigVisualClassType;

typedef struct XigVisualPrivate XigVisualPrivate;

typedef struct
{
   GObject         parent_instance;
   XigVisualPrivate *priv;
} XigVisual;

typedef struct
{
   GObjectClass parent_class;
} XigVisualClass;

GType xig_visual_get_type (void);

guint32 xig_visual_get_id (XigVisual *visual);

guint8 xig_visual_get_depth (XigVisual *visual);

guint8 xig_visual_get_class (XigVisual *visual);

guint8 xig_visual_get_bits_per_rgb_value (XigVisual *visual);

guint16 xig_visual_get_colormap_entries (XigVisual *visual);

guint32 xig_visual_get_red_mask (XigVisual *visual);

guint32 xig_visual_get_green_mask (XigVisual *visual);

guint32 xig_visual_get_blue_mask (XigVisual *visual);

G_END_DECLS

#endif /* _XIG_VISUAL_H_ */
